Debian Bug report logs - #595264
assumes libdevmapper1.02.1 (optional in Squeeze) is installed; breaks update-initramfs

version graph

Package: live-boot-initramfs-tools; Maintainer for live-boot-initramfs-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot-initramfs-tools is src:live-boot.

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Thu, 2 Sep 2010 15:45:05 UTC

Severity: important

Found in version live-boot/2.0.1-1

Fixed in versions live-boot/2.0.2-1, live-boot/3.0~a3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595264; Package live-boot-initramfs-tools. (Thu, 02 Sep 2010 15:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 15:45:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: assumes libdevmapper1.02.1 (optional in Squeeze) is installed; breaks update-initramfs
Date: Fri, 03 Sep 2010 01:40:38 +1000
Package: live-boot-initramfs-tools
Version: 2.0.1-1
Severity: important
File: /usr/share/initramfs-tools/hooks/live

When installing live-boot and a kernel into a pretty minimalist
bootstrap chroot, update-initramfs fails with

    cp: cannot stat `/lib/libdevmapper*': No such file or directory

This is because live-boot currently assumes libdevmapper1.02.1 is
installed, instead of checking for it.

This was a reasonable assumption in Lenny, but in Squeeze its priority
is downgraded:

    $ curl -s http://cdn.debian.net/debian/dists/stable/main/binary-amd64/Packages.bz2 |
      bzcat | grep-dctrl -PsPriority libdevmapper1.02.1
    > Priority: required
    $ curl -s http://cdn.debian.net/debian/dists/testing/main/binary-amd64/Packages.bz2 |
      bzcat | grep-dctrl -PsPriority libdevmapper1.02.1
    > Priority: optional

A simple patch along these lines should suffice (untested):

    diff -ud /usr/share/initramfs-tools/hooks/live /tmp/buffer-content-1839QrW
    --- /usr/share/initramfs-tools/hooks/live	2010-09-02 02:27:57.000000000 +1000
    +++ /tmp/buffer-content-1839QrW	2010-09-03 01:35:15.115969801 +1000
    @@ -61,7 +61,7 @@
     # klibc dependencies
     for FILE in /lib/libacl* /lib/libblkid* /lib/libuuid* /lib/libdevmapper* /lib/libattr*
     do
    -	if [ ! -e "${DESTDIR}"/"${FILE}" ]
    +	if [ -e "$FILE" -a ! -e "${DESTDIR}"/"${FILE}" ]
            then
                    cp -a "${FILE}" "${DESTDIR}"/"${FILE}"
            fi

    Diff finished.  Fri Sep  3 01:35:15 2010

A temporary workaround is simply to run "touch t/lib/libdevmapper*"
prior to installing live-boot into the bootstrap environment t/, which
results in an useless but harmless literal "libdevmapper*" file being
copied into the ramdisk.

PS: I'm surprised that live-boot needs to pull in klibc dependencies
at all -- I'd have thought either klibc or initramfs-tools would've
handled that automagically elsewhere.  Go figure.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35 (SMP w/2 CPU cores)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot-initramfs-tools depends on:
ii  busybox                       1:1.17.1-4 Tiny utilities for small and embed
ii  initramfs-tools               0.98.1     tools for generating an initramfs
ii  udev                          161-1      /dev/ and hotplug management daemo

live-boot-initramfs-tools recommends no packages.

live-boot-initramfs-tools suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#595264; Package live-boot-initramfs-tools. (Thu, 02 Sep 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 02 Sep 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 595264@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Trent W. Buck" <trentbuck@gmail.com>
Cc: 595264@bugs.debian.org
Subject: Re: Bug#595264: assumes libdevmapper1.02.1 (optional in Squeeze) is installed; breaks update-initramfs
Date: Thu, 02 Sep 2010 17:55:39 +0200
tag 595264 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 02 Sep 2010 15:57:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 16:33:08 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 16:33:08 GMT) Full text and rfc822 format available.

Message #17 received at 595264-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 595264-close@bugs.debian.org
Subject: Bug#595264: fixed in live-boot 2.0.2-1
Date: Thu, 02 Sep 2010 16:32:19 +0000
Source: live-boot
Source-Version: 2.0.2-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0.2-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0.2-1_all.deb
live-boot_2.0.2-1.diff.gz
  to main/l/live-boot/live-boot_2.0.2-1.diff.gz
live-boot_2.0.2-1.dsc
  to main/l/live-boot/live-boot_2.0.2-1.dsc
live-boot_2.0.2-1_all.deb
  to main/l/live-boot/live-boot_2.0.2-1_all.deb
live-boot_2.0.2.orig.tar.gz
  to main/l/live-boot/live-boot_2.0.2.orig.tar.gz
live-initramfs_2.0.2-1_all.deb
  to main/l/live-boot/live-initramfs_2.0.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 18:25:12 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 590494 595264
Changes: 
 live-boot (2.0.2-1) unstable; urgency=low
 .
   * Updating seperators in networking bottom script to fix ip parameter
     parsing (Closes: #590494).
   * Updating live-build reference in manpages.
   * Checking for file existence in initramfs hook (Closes: #595264).
   * Adding live-toram script to copy the running live system to ram and
     eject the live media.
Checksums-Sha1: 
 0532f1e078d0af3f28e3b95183d72a3622a2be7c 1232 live-boot_2.0.2-1.dsc
 31832cdfa223fd0960bff64a2ff7ce31aeeda312 105881 live-boot_2.0.2.orig.tar.gz
 228334b89bf54d659b2cbbcdc807843648d892dc 17275 live-boot_2.0.2-1.diff.gz
 96b499fa3137ce001a217aaa2f623e8cdb1a56ab 74922 live-boot_2.0.2-1_all.deb
 3524be306b8813fd1f88c1a97e66e26437543718 28158 live-boot-initramfs-tools_2.0.2-1_all.deb
 ac3797b8d8cfef872121c1fa1635d3e6bd16e9c6 3970 live-initramfs_2.0.2-1_all.deb
Checksums-Sha256: 
 43e23b1a0e9207ea67f627d4443bc9cd34a9a59af22d9ed09d88c818a93e53f1 1232 live-boot_2.0.2-1.dsc
 00c0fc7224be8852170330090e253493f5d1c174fa39c029bcacc4b2d48a6842 105881 live-boot_2.0.2.orig.tar.gz
 39222aeaa417b185d90cdcf9c90634ad80ef1f1cfc65918c70aeda0c27d76bed 17275 live-boot_2.0.2-1.diff.gz
 676e68232338d905ed0eaeced538ff3f37096e1ad5f0a8863a00449db6ffe572 74922 live-boot_2.0.2-1_all.deb
 35e5a632da71ae04e1ac9f8ae3c4b436ef047eebf5855c4b8fc52aa8f347ce66 28158 live-boot-initramfs-tools_2.0.2-1_all.deb
 960ae40e3ce777b22fc67ad00cf8670e15053ca7f8454d447061f06664a1603e 3970 live-initramfs_2.0.2-1_all.deb
Files: 
 0ac8ca870a968af6ccef9eb76c91e100 1232 misc optional live-boot_2.0.2-1.dsc
 f3eaf18d597c6dd286859ef53e8400c5 105881 misc optional live-boot_2.0.2.orig.tar.gz
 55798082164d2d2b217387505f4fd912 17275 misc optional live-boot_2.0.2-1.diff.gz
 5239a1657fe24eccb7d1d34f43ed8b03 74922 misc optional live-boot_2.0.2-1_all.deb
 724b8d3e253b4a11f6ef88a7a82d8977 28158 misc optional live-boot-initramfs-tools_2.0.2-1_all.deb
 0dc1cdb2fd018eb7381a205f9e19bcb2 3970 misc optional live-initramfs_2.0.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx/0L4ACgkQ+C5cwEsrK55+LgCgquh92CjtNXa2+c5LHxwLELgv
z90AoJubfAiF6a9x40Y9MVJO7kG1Cpbq
=LCuo
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 02 Sep 2010 16:51:14 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Thu, 02 Sep 2010 16:51:14 GMT) Full text and rfc822 format available.

Message #22 received at 595264-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 595264-close@bugs.debian.org
Subject: Bug#595264: fixed in live-boot 3.0~a3-1
Date: Thu, 02 Sep 2010 16:49:28 +0000
Source: live-boot
Source-Version: 3.0~a3-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_3.0~a3-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a3-1_all.deb
live-boot_3.0~a3-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a3-1.debian.tar.gz
live-boot_3.0~a3-1.dsc
  to main/l/live-boot/live-boot_3.0~a3-1.dsc
live-boot_3.0~a3-1_all.deb
  to main/l/live-boot/live-boot_3.0~a3-1_all.deb
live-boot_3.0~a3.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595264@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 02 Sep 2010 18:28:40 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a3-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 590494 595264
Changes: 
 live-boot (3.0~a3-1) experimental; urgency=low
 .
   * Updating seperators in networking bottom script to fix ip parameter
     parsing (Closes: #590494).
   * Updating live-build reference in manpages.
   * Adding reference to live-tools in manpages.
   * Checking for file existence in initramfs hook (Closes: #595264).
Checksums-Sha1: 
 cb52a0b0d01b4dff5e8947643db3013148343fdd 1249 live-boot_3.0~a3-1.dsc
 6b6551aac1a6e7ec6f315cc66a7d3c3011da56a7 103868 live-boot_3.0~a3.orig.tar.gz
 285778f16d34fbedcd6349946828584015678617 17577 live-boot_3.0~a3-1.debian.tar.gz
 f3b579c14756e5ff12faa567d84df3ec3cfba3d7 74258 live-boot_3.0~a3-1_all.deb
 08d2b062e4320b2b96f34f86ac76bd4827958b79 28676 live-boot-initramfs-tools_3.0~a3-1_all.deb
Checksums-Sha256: 
 d8da5c3ae23b30dafb8f14ecc0122029e5bceefc14db8758d5e2fda8d7915909 1249 live-boot_3.0~a3-1.dsc
 0d48e624fbfa03e4a2f981d04cdadaca52843e51d82956b7d62879dcbaa4e9ac 103868 live-boot_3.0~a3.orig.tar.gz
 ec42188b8523f94cf0945f10695f65e21cebabc7f6f266d2bf5b7b6f5b0784c6 17577 live-boot_3.0~a3-1.debian.tar.gz
 67314a5e182c0bc794ce662b088e68c2a941b061db77885f89b72a6bbe6c908f 74258 live-boot_3.0~a3-1_all.deb
 4976f2f0eafa47e203debefa0cff5281a440100d1b2d88ec48e93b65ea20364e 28676 live-boot-initramfs-tools_3.0~a3-1_all.deb
Files: 
 c41b6783dca410a84c853d7fa91e4755 1249 misc optional live-boot_3.0~a3-1.dsc
 b15d822778f153fc753280d6e7c9eb40 103868 misc optional live-boot_3.0~a3.orig.tar.gz
 8d9886b45edf28def1850a1310ae0c0b 17577 misc optional live-boot_3.0~a3-1.debian.tar.gz
 c858cfca77bd104ef2231d12487de987 74258 misc optional live-boot_3.0~a3-1_all.deb
 2db96a29037690f928f60bef2bbfae9e 28676 misc optional live-boot-initramfs-tools_3.0~a3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkx/0ZgACgkQ+C5cwEsrK54dRwCdH/aMoo6jprkf8Zh9oIuk4t6P
YGQAniP4f9URraBYiEfZ5yHTAxPCj73n
=Fv5V
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Oct 2010 07:35:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:58:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.